---
title: llarp::dht::RCNode

---

# llarp::dht::RCNode





## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[RCNode](Classes/structllarp_1_1dht_1_1RCNode.md#function-rcnode)**() |
| | **[RCNode](Classes/structllarp_1_1dht_1_1RCNode.md#function-rcnode)**(const [RouterContact](Classes/structllarp_1_1RouterContact.md) & other) |
| util::StatusObject | **[ExtractStatus](Classes/structllarp_1_1dht_1_1RCNode.md#function-extractstatus)**() const |
| bool | **[operator<](Classes/structllarp_1_1dht_1_1RCNode.md#function-operator<)**(const [RCNode](Classes/structllarp_1_1dht_1_1RCNode.md) & other) const |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| [RouterContact](Classes/structllarp_1_1RouterContact.md) | **[rc](Classes/structllarp_1_1dht_1_1RCNode.md#variable-rc)**  |
| [Key_t](Classes/structllarp_1_1dht_1_1Key__t.md) | **[ID](Classes/structllarp_1_1dht_1_1RCNode.md#variable-id)**  |

## Public Functions Documentation

### function RCNode

```cpp
inline RCNode()
```


### function RCNode

```cpp
inline RCNode(
    const RouterContact & other
)
```


### function ExtractStatus

```cpp
inline util::StatusObject ExtractStatus() const
```


### function operator<

```cpp
inline bool operator<(
    const RCNode & other
) const
```


## Public Attributes Documentation

### variable rc

```cpp
RouterContact rc;
```


### variable ID

```cpp
Key_t ID;
```


-------------------------------

Updated on 2023-01-09 at 18:23:48 +0000